declare const _default: {
    inputPwdWithHint(hint: string): any;
    inputPwdWithValidator(validator: (pwd: string) => boolean | string): any;
    inputPwd(hint?: string, validator?: (pwd: string) => string | true): Promise<string>;
    getPasswordOrInput(password: string | undefined, warnIfNotEmpty: string, hint?: string, validator?: (pwd: string) => boolean | string): any;
    readKeystore(keystorePath: string): Promise<object>;
    readJsonFile(filePath: string): object;
    inputConfirm(message: string): Promise<boolean>;
    loader: {
        fileExists(filePath: string): Promise<boolean>;
        isDirectory(filePath: string): Promise<boolean>;
        readFile(filePath: string): Promise<string>;
        readFileSync(filePath: string): string;
    };
    truffle: {
        loadMigration: (filePath: string, signer: import("cpchain-typescript-sdk/lib/src/wallets").CPCWallet) => Promise<void>;
    };
    logger: {
        fatal(msg: string): never;
        error(msg: string): void;
        warn(msg: string): void;
        info(msg: string): void;
    };
    wallet: {
        getWallet(keystorePath: string, password: string): Promise<import("cpchain-typescript-sdk/lib/src/wallets").CPCWallet>;
    };
};
export default _default;
